gtkmm: Gtk::CellRendererAccel Class Reference

gtkmm 3.24.11

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::CellRendererAccel Class Reference
TreeView Classes

Renders a keyboard accelerator in a cell. More...

`#include <gtkmm/cellrendereraccel.h>`

Inheritance diagram for Gtk::CellRendererAccel:
[legend]

## Public Member Functions
| CellRendererAccel (CellRendererAccel && src) noexcept
CellRendererAccel & | operator= (CellRendererAccel && src) noexcept
| CellRendererAccel (const CellRendererAccel &)=delete
CellRendererAccel & | operator= (const CellRendererAccel &)=delete
| ~CellRendererAccel () noexcept override
GtkCellRendererAccel * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRendererAccel * | gobj () const
| Provides access to the underlying C GObject.
| CellRendererAccel ()
Glib::SignalProxy< void, const Glib::ustring &, guint, Gdk::ModifierType, guint > | signal_accel_edited ()
Glib::SignalProxy< void, const Glib::ustring & > | signal_accel_cleared ()
Glib::PropertyProxy< guint > | property_accel_key ()
| The keyval of the accelerator.
Glib::PropertyProxy_ReadOnly< guint > | property_accel_key () const
| The keyval of the accelerator.
Glib::PropertyProxy< Gdk::ModifierType > | property_accel_mods ()
| The modifier mask of the accelerator.
Glib::PropertyProxy_ReadOnly< Gdk::ModifierType > | property_accel_mods () const
| The modifier mask of the accelerator.
Glib::PropertyProxy< guint > | property_keycode ()
| The hardware keycode of the accelerator.
Glib::PropertyProxy_ReadOnly< guint > | property_keycode () const
| The hardware keycode of the accelerator.
Glib::PropertyProxy< CellRendererAccelMode > | property_accel_mode ()
| Determines if the edited accelerators are GTK+ accelerators.
Glib::PropertyProxy_ReadOnly< CellRendererAccelMode > | property_accel_mode () const
| Determines if the edited accelerators are GTK+ accelerators.
Public Member Functions inherited from Gtk::CellRendererText
| CellRendererText (CellRendererText && src) noexcept
CellRendererText & | operator= (CellRendererText && src) noexcept
| CellRendererText (const CellRendererText &)=delete
CellRendererText & | operator= (const CellRendererText &)=delete
| ~CellRendererText () noexcept override
GtkCellRendererText * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRendererText * | gobj () const
| Provides access to the underlying C GObject.
| CellRendererText ()
void | set_fixed_height_from_font (int number_of_rows)
| Sets the height of a renderer to explicitly be determined by the “font” and “y_pad” property set on it.
Glib::SignalProxy< void, const Glib::ustring &, const Glib::ustring & > | signal_edited ()
Glib::PropertyProxy< Glib::ustring > | property_text ()
| Text to render.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| Text to render.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_markup ()
| Marked up text to render.
Glib::PropertyProxy< Pango::AttrList > | property_attributes ()
| A list of style attributes to apply to the text of the renderer.
Glib::PropertyProxy_ReadOnly< Pango::AttrList > | property_attributes () const
| A list of style attributes to apply to the text of the renderer.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_background ()
| Background color as a string.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_foreground ()
| Foreground color as a string.
Glib::PropertyProxy< Gdk::Color > | property_background_gdk ()
| Background color as a Gdk::Color.
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_background_gdk () const
| Background color as a Gdk::Color.
Glib::PropertyProxy< Gdk::Color > | property_foreground_gdk ()
| Foreground color as a Gdk::Color.
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_foreground_gdk () const
| Foreground color as a Gdk::Color.
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| Background color as a Gdk::RGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_background_rgba () const
| Background color as a Gdk::RGBA.
Glib::PropertyProxy< Gdk::RGBA > | property_foreground_rgba ()
| Foreground color as a Gdk::RGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_foreground_rgba () const
| Foreground color as a Gdk::RGBA.
Glib::PropertyProxy< Glib::ustring > | property_font ()
| Font description as a string, e.g.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| Font description as a string, e.g.
Glib::PropertyProxy< Pango::FontDescription > | property_font_desc ()
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy< Glib::ustring > | property_family ()
| Name of the font family, e.g.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_family () const
| Name of the font family, e.g.
Glib::PropertyProxy< Pango::Style > | property_style ()
| Font style.
Glib::PropertyProxy_ReadOnly< Pango::Style > | property_style () const
| Font style.
Glib::PropertyProxy< Pango::Variant > | property_variant ()
| Font variant.
Glib::PropertyProxy_ReadOnly< Pango::Variant > | property_variant () const
| Font variant.
Glib::PropertyProxy< int > | property_weight ()
| Font weight.
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Font weight.
Glib::PropertyProxy< Pango::Stretch > | property_stretch ()
| Font stretch.
Glib::PropertyProxy_ReadOnly< Pango::Stretch > | property_stretch () const
| Font stretch.
Glib::PropertyProxy< int > | property_size ()
| Font size.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Font size.
Glib::PropertyProxy< double > | property_size_points ()
| Font size in points.
Glib::PropertyProxy_ReadOnly< double > | property_size_points () const
| Font size in points.
Glib::PropertyProxy< double > | property_scale ()
| Font scaling factor.
Glib::PropertyProxy_ReadOnly< double > | property_scale () const
| Font scaling factor.
Glib::PropertyProxy< bool > | property_editable ()
| Whether the text can be modified by the user.
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Whether the text can be modified by the user.
Glib::PropertyProxy< bool > | property_strikethrough ()
| Whether to strike through the text.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Whether to strike through the text.
Glib::PropertyProxy< Pango::Underline > | property_underline ()
| Style of underline for this text.
Glib::PropertyProxy_ReadOnly< Pango::Underline > | property_underline () const
| Style of underline for this text.
Glib::PropertyProxy< int > | property_rise ()
| Offset of text above the baseline (below the baseline if rise is negative).
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Offset of text above the baseline (below the baseline if rise is negative).
Glib::PropertyProxy< Glib::ustring > | property_language ()
| The language this text is in, as an ISO code.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_language () const
| The language this text is in, as an ISO code.
Glib::PropertyProxy< Pango::EllipsizeMode > | property_ellipsize ()
| Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy_ReadOnly< Pango::EllipsizeMode > | property_ellipsize () const
| Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy< int > | property_width_chars ()
| The desired width of the cell, in characters.
Glib::PropertyProxy_ReadOnly< int > | property_width_chars () const
| The desired width of the cell, in characters.
Glib::PropertyProxy< int > | property_max_width_chars ()
| The desired maximum width of the cell, in characters.
Glib::PropertyProxy_ReadOnly< int > | property_max_width_chars () const
| The desired maximum width of the cell, in characters.
Glib::PropertyProxy< Pango::WrapMode > | property_wrap_mode ()
| Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy_ReadOnly< Pango::WrapMode > | property_wrap_mode () const
| Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy< int > | property_wrap_width ()
| Specifies the minimum width at which the text is wrapped.
Glib::PropertyProxy_ReadOnly< int > | property_wrap_width () const
| Specifies the minimum width at which the text is wrapped.
Glib::PropertyProxy< Pango::Alignment > | property_alignment ()
| Specifies how to align the lines of text with respect to each other.
Glib::PropertyProxy_ReadOnly< Pango::Alignment > | property_alignment () const
| Specifies how to align the lines of text with respect to each other.
Glib::PropertyProxy< bool > | property_background_set ()
| Whether this tag affects the background color.
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Whether this tag affects the background color.
Glib::PropertyProxy< bool > | property_foreground_set ()
| Whether this tag affects the foreground color.
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Whether this tag affects the foreground color.
Glib::PropertyProxy< bool > | property_family_set ()
| Whether this tag affects the font family.
Glib::PropertyProxy_ReadOnly< bool > | property_family_set () const
| Whether this tag affects the font family.
Glib::PropertyProxy< bool > | property_style_set ()
| Whether this tag affects the font style.
Glib::PropertyProxy_ReadOnly< bool > | property_style_set () const
| Whether this tag affects the font style.
Glib::PropertyProxy< bool > | property_variant_set ()
| Whether this tag affects the font variant.
Glib::PropertyProxy_ReadOnly< bool > | property_variant_set () const
| Whether this tag affects the font variant.
Glib::PropertyProxy< bool > | property_weight_set ()
| Whether this tag affects the font weight.
Glib::PropertyProxy_ReadOnly< bool > | property_weight_set () const
| Whether this tag affects the font weight.
Glib::PropertyProxy< bool > | property_stretch_set ()
| Whether this tag affects the font stretch.
Glib::PropertyProxy_ReadOnly< bool > | property_stretch_set () const
| Whether this tag affects the font stretch.
Glib::PropertyProxy< bool > | property_size_set ()
| Whether this tag affects the font size.
Glib::PropertyProxy_ReadOnly< bool > | property_size_set () const
| Whether this tag affects the font size.
Glib::PropertyProxy< bool > | property_scale_set ()
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy_ReadOnly< bool > | property_scale_set () const
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy< bool > | property_editable_set ()
| Whether this tag affects text editability.
Glib::PropertyProxy_ReadOnly< bool > | property_editable_set () const
| Whether this tag affects text editability.
Glib::PropertyProxy< bool > | property_strikethrough_set ()
| Whether this tag affects strikethrough.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Whether this tag affects strikethrough.
Glib::PropertyProxy< bool > | property_underline_set ()
| Whether this tag affects underlining.
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Whether this tag affects underlining.
Glib::PropertyProxy< bool > | property_rise_set ()
| Whether this tag affects the rise.
Glib::PropertyProxy_ReadOnly< bool > | property_rise_set () const
| Whether this tag affects the rise.
Glib::PropertyProxy< bool > | property_language_set ()
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy_ReadOnly< bool > | property_language_set () const
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy< bool > | property_ellipsize_set ()
| Whether this tag affects the ellipsize mode.
Glib::PropertyProxy_ReadOnly< bool > | property_ellipsize_set () const
| Whether this tag affects the ellipsize mode.
Glib::PropertyProxy< bool > | property_single_paragraph_mode ()
| Whether to keep all text in a single paragraph.
Glib::PropertyProxy_ReadOnly< bool > | property_single_paragraph_mode () const
| Whether to keep all text in a single paragraph.
Glib::PropertyProxy< bool > | property_align_set ()
| Whether this tag affects the alignment mode.
Glib::PropertyProxy_ReadOnly< bool > | property_align_set () const
| Whether this tag affects the alignment mode.
Glib::PropertyProxy< Glib::ustring > | property_placeholder_text ()
| The text that will be displayed in the Gtk::CellRenderer if Gtk::CellRendererText::property_editable() is true and the cell is empty.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_placeholder_text () const
| The text that will be displayed in the Gtk::CellRenderer if Gtk::CellRendererText::property_editable() is true and the cell is empty.
Public Member Functions inherited from Gtk::CellRenderer
| CellRenderer (CellRenderer && src) noexcept
CellRenderer & | operator= (CellRenderer && src) noexcept
| CellRenderer (const CellRenderer &)=delete
CellRenderer & | operator= (const CellRenderer &)=delete
| ~CellRenderer () noexcept override
GtkCellRenderer * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRenderer * | gobj () const
| Provides access to the underlying C GObject.
SizeRequestMode | get_request_mode () const
| Gets whether the cell renderer prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (Widget & widget, int & minimum_width, int & natural_width) const
| Retreives a renderer’s natural size when rendered to widget.
void | get_preferred_height_for_width (Widget & widget, int width, int & minimum_height, int & natural_height) const
| Retreives a cell renderers’s minimum and natural height if it were rendered to widget with the specified width.
void | get_preferred_height (Widget & widget, int & minimum_height, int & natural_height) const
| Retreives a renderer’s natural size when rendered to widget.
void | get_preferred_width_for_height (Widget & widget, int height, int & minimum_width, int & natural_width) const
| Retreives a cell renderers’s minimum and natural width if it were rendered to widget with the specified height.
void | get_preferred_size (Widget & widget, Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a cell taking into account the widget’s preference for height-for-width management.
void | get_aligned_area (Widget & widget, CellRendererState flags, const Gdk::Rectangle & cell_area, Gdk::Rectangle & aligned_area)
| Gets the aligned area used by cell inside cell_area.
void | render (const ::Cairo::RefPtr< ::Cairo::Context > & cr, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Invokes the virtual render function of the Gtk::CellRenderer.
bool | activate (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Passes an activate event to the cell renderer for possible processing.
CellEditable * | start_editing (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags=CellRendererState(0))
| Starts editing the contents of this cell, through a new Gtk::CellEditable widget created by the Gtk::CellRendererClass.start_editing virtual function.
void | set_fixed_size (int width, int height)
| Sets the renderer size to be explicit, independent of the properties set.
void | get_fixed_size (int & width, int & height) const
| Fills in width and height with the appropriate size of cell.
void | set_alignment (float xalign, float yalign)
| Sets the renderer’s alignment within its available space.
void | get_alignment (float & xalign, float & yalign) const
| Fills in xalign and yalign with the appropriate values of cell.
void | set_padding (int xpad, int ypad)
| Sets the renderer’s padding.
void | get_padding (int & xpad, int & ypad) const
| Fills in xpad and ypad with the appropriate values of cell.
void | set_visible (bool visible=true)
| Sets the cell renderer’s visibility.
bool | get_visible () const
| Returns the cell renderer’s visibility.
void | set_sensitive (bool sensitive=true)
| Sets the cell renderer’s sensitivity.
bool | get_sensitive () const
| Returns the cell renderer’s sensitivity.
bool | is_activatable () const
| Checks whether the cell renderer can do something when activated.
void | stop_editing (bool canceled=false)
| Informs the cell renderer that the editing is stopped.
StateFlags | get_state (Widget & widget, CellRendererState cell_state) const
| Translates the cell renderer state to Gtk::StateFlags, based on the cell renderer and widget sensitivity, and the given Gtk::CellRendererState.
StateFlags | get_state (CellRendererState cell_state) const
| Translates the cell renderer state to StateFlags, based on the cell renderer and the given CellRendererState.
Glib::SignalProxy< void > | signal_editing_canceled ()
Glib::SignalProxy< void, CellEditable *, const Glib::ustring & > | signal_editing_started ()
Glib::PropertyProxy< CellRendererMode > | property_mode ()
| Editable mode of the CellRenderer.
Glib::PropertyProxy_ReadOnly< CellRendererMode > | property_mode () const
| Editable mode of the CellRenderer.
Glib::PropertyProxy< bool > | property_visible ()
| Display the cell.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Display the cell.
Glib::PropertyProxy< bool > | property_sensitive ()
| Display the cell sensitive.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Display the cell sensitive.
Glib::PropertyProxy< float > | property_xalign ()
| The x-align.
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The x-align.
Glib::PropertyProxy< float > | property_yalign ()
| The y-align.
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| The y-align.
Glib::PropertyProxy< unsigned int > | property_xpad ()
| The xpad.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_xpad () const
| The xpad.
Glib::PropertyProxy< unsigned int > | property_ypad ()
| The ypad.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_ypad () const
| The ypad.
Glib::PropertyProxy< int > | property_width ()
| The fixed width.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| The fixed width.
Glib::PropertyProxy< int > | property_height ()
| The fixed height.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| The fixed height.
Glib::PropertyProxy< bool > | property_is_expander ()
| Row has children.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expander () const
| Row has children.
Glib::PropertyProxy< bool > | property_is_expanded ()
| Row is an expander row, and is expanded.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expanded () const
| Row is an expander row, and is expanded.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_cell_background ()
| Cell background color as a string.
Glib::PropertyProxy< Gdk::Color > | property_cell_background_gdk ()
| Cell background as a Gdk::Color.
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_cell_background_gdk () const
| Cell background as a Gdk::Color.
Glib::PropertyProxy< Gdk::RGBA > | property_cell_background_rgba ()
| Cell background as a Gdk::RGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_cell_background_rgba () const
| Cell background as a Gdk::RGBA.
Glib::PropertyProxy< bool > | property_cell_background_set ()
| Whether the cell background color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_cell_background_set () const
| Whether the cell background color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_editing () const
| Whether the cell renderer is currently in editing mode.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellRendererText
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellRenderer
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
virtual void | on_accel_edited (const Glib::ustring & path_string, guint accel_key, Gdk::ModifierType accel_mods, guint hardware_keycode)
| This is a default handler for the signal signal_accel_edited().
virtual void | on_accel_cleared (const Glib::ustring & path_string)
| This is a default handler for the signal signal_accel_cleared().
Protected Member Functions inherited from Gtk::CellRendererText
virtual void | on_edited (const Glib::ustring & path, const Glib::ustring & new_text)
| This is a default handler for the signal signal_edited().
void | edited (const Glib::ustring & path, const Glib::ustring & new_text)
| Emits the "edited" signal.
Protected Member Functions inherited from Gtk::CellRenderer
virtual void | on_editing_canceled ()
| This is a default handler for the signal signal_editing_canceled().
virtual void | on_editing_started (CellEditable * editable, const Glib::ustring & path)
| This is a default handler for the signal signal_editing_started().
| CellRenderer ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (Widget & widget, int & minimum_width, int & natural_width) const
virtual void | get_preferred_height_for_width_vfunc (Widget & widget, int width, int & minimum_height, int & natural_height) const
virtual void | get_preferred_height_vfunc (Widget & widget, int & minimum_height, int & natural_height) const
virtual void | get_preferred_width_for_height_vfunc (Widget & widget, int height, int & minimum_width, int & natural_width) const
virtual void | render_vfunc (const ::Cairo::RefPtr< ::Cairo::Context > & cr, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual bool | activate_vfunc (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual CellEditable * | start_editing_vfunc (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Gtk::CellRendererAccel * | wrap (GtkCellRendererAccel * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::CellRendererText
Gtk::CellRendererText * | wrap (GtkCellRendererText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::CellRenderer
Gtk::CellRenderer * | wrap (GtkCellRenderer * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Renders a keyboard accelerator in a cell.

Gtk::CellRendererAccel displays a keyboard accelerator (i.e. a key combination like <Control>-a). If the cell renderer is editable, the accelerator can be changed by simply typing the new combination.

Key values are the codes which are sent whenever a key is pressed or released. The complete list of key values can be found in the gdk/gdkkeysyms.h header file. They are prefixed with GDK_KEY_.

Since gtkmm 2.10

## Constructor & Destructor Documentation

## ◆ CellRendererAccel() [1/3]

Gtk::CellRendererAccel::CellRendererAccel | ( | CellRendererAccel && | src | ) |
| noexcept

## ◆ CellRendererAccel() [2/3]

Gtk::CellRendererAccel::CellRendererAccel | ( | const CellRendererAccel & |  | ) |
| delete

## ◆ ~CellRendererAccel()

Gtk::CellRendererAccel::~CellRendererAccel | ( |  | ) |
| overridenoexcept

## ◆ CellRendererAccel() [3/3]

Gtk::CellRendererAccel::CellRendererAccel | ( |  | ) |

## Member Function Documentation

## ◆ get_type()

GType Gtk::CellRendererAccel::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkCellRendererAccel * Gtk::CellRendererAccel::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkCellRendererAccel * Gtk::CellRendererAccel::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ on_accel_cleared()

virtual void Gtk::CellRendererAccel::on_accel_cleared | ( | const Glib::ustring & | path_string | ) |
| protectedvirtual

This is a default handler for the signal signal_accel_cleared().

## ◆ on_accel_edited()

virtual void Gtk::CellRendererAccel::on_accel_edited | ( | const Glib::ustring & | path_string,
|  | guint | accel_key,
|  | Gdk::ModifierType | accel_mods,
|  | guint | hardware_keycode )
| protectedvirtual

This is a default handler for the signal signal_accel_edited().

## ◆ operator=() [1/2]

CellRendererAccel & Gtk::CellRendererAccel::operator= | ( | CellRendererAccel && | src | ) |
| noexcept

## ◆ operator=() [2/2]

CellRendererAccel & Gtk::CellRendererAccel::operator= | ( | const CellRendererAccel & |  | ) |
| delete

## ◆ property_accel_key() [1/2]

Glib::PropertyProxy< guint > Gtk::CellRendererAccel::property_accel_key | ( |  | ) |

The keyval of the accelerator.

Since gtkmm 2.10

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accel_key() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::CellRendererAccel::property_accel_key | ( |  | ) | const

The keyval of the accelerator.

Since gtkmm 2.10

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_accel_mode() [1/2]

Glib::PropertyProxy< CellRendererAccelMode > Gtk::CellRendererAccel::property_accel_mode | ( |  | ) |

Determines if the edited accelerators are GTK+ accelerators.

If they are, consumed modifiers are suppressed, only accelerators accepted by GTK+ are allowed, and the accelerators are rendered in the same way as they are in menus.

Since gtkmm 2.10

Default value: Gtk::CELL_RENDERER_ACCEL_MODE_GTK

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accel_mode() [2/2]

Glib::PropertyProxy_ReadOnly< CellRendererAccelMode > Gtk::CellRendererAccel::property_accel_mode | ( |  | ) | const

Determines if the edited accelerators are GTK+ accelerators.

If they are, consumed modifiers are suppressed, only accelerators accepted by GTK+ are allowed, and the accelerators are rendered in the same way as they are in menus.

Since gtkmm 2.10

Default value: Gtk::CELL_RENDERER_ACCEL_MODE_GTK

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_accel_mods() [1/2]

Glib::PropertyProxy< Gdk::ModifierType > Gtk::CellRendererAccel::property_accel_mods | ( |  | ) |

The modifier mask of the accelerator.

Since gtkmm 2.10

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accel_mods() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::ModifierType > Gtk::CellRendererAccel::property_accel_mods | ( |  | ) | const

The modifier mask of the accelerator.

Since gtkmm 2.10

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_keycode() [1/2]

Glib::PropertyProxy< guint > Gtk::CellRendererAccel::property_keycode | ( |  | ) |

The hardware keycode of the accelerator.

Note that the hardware keycode is only relevant if the key does not have a keyval. Normally, the keyboard configuration should assign keyvals to all keys.

Since gtkmm 2.10

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_keycode() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::CellRendererAccel::property_keycode | ( |  | ) | const

The hardware keycode of the accelerator.

Note that the hardware keycode is only relevant if the key does not have a keyval. Normally, the keyboard configuration should assign keyvals to all keys.

Since gtkmm 2.10

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ signal_accel_cleared()

Glib::SignalProxy< void, const Glib::ustring & > Gtk::CellRendererAccel::signal_accel_cleared | ( |  | ) |

Slot Prototype:
  void on_my_accel_cleared(const Glib::ustring& path_string)

Flags: Run Last

Gets emitted when the user has removed the accelerator.

Since gtkmm 2.10

Parameters

  path_string | The path identifying the row of the edited cell.

## ◆ signal_accel_edited()

Glib::SignalProxy< void, const Glib::ustring &, guint, Gdk::ModifierType, guint > Gtk::CellRendererAccel::signal_accel_edited | ( |  | ) |

Slot Prototype:
  void on_my_accel_edited(const Glib::ustring& path_string, guint accel_key, Gdk::ModifierType accel_mods, guint hardware_keycode)

Flags: Run Last

Gets emitted when the user has selected a new accelerator.

Since gtkmm 2.10

Parameters

  path_string | The path identifying the row of the edited cell.
  accel_key | The new accelerator keyval.
  accel_mods | The new acclerator modifier mask.
  hardware_keycode | The keycode of the new accelerator.

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::CellRendererAccel * wrap | ( | GtkCellRendererAccel * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.